# vim: set ts=4 sw=4 et:

#bcond_without color
%bcond_without trackerinfo

Name:           rtorrent
Version:        0.8.9
Release:        1.1
Summary:        Console-based BitTorrent Client
# http://libtorrent.rakshasa.no/downloads/rtorrent-%{version}.tar.gz
Source:         rtorrent-%{version}.tar.gz
Source1:        rtorrent.desktop
#Patch21:        rtorrent-canvas-color.patch
Patch31:        http://www.simplylinux.ch/rtorrent/trackerinfo.patch
URL:            http://libtorrent.rakshasa.no/
Group:          Productivity/Networking/Other
License:        GNU General Public License (GPL)
BuildRoot:      %{_tmppath}/build-%{name}-%{version}
Requires:       libtorrent14 >= 0.12.9
BuildRequires:  libtorrent-devel >= 0.12.9
BuildRequires:  bc ncurses-devel
%if %suse_version >= 1030
BuildRequires:  libcurl-devel
%else
BuildRequires:  curl-devel
%endif
%if 0%{?suse_version} > 1020
BuildRequires:  libcppunit-devel
%else
BuildRequires:  cppunit-devel
%endif
BuildRequires:  libxmlrpc-c-devel
BuildRequires:  pkgconfig make gcc-c++ libstdc++-devel
BuildRequires:  autoconf automake libtool update-desktop-files
Provides:       %{name}-dht = %{version}-%{release}

%description
rTorrent is a console-based BitTorrent client. It aims to be a fully-featured  
and efficient client with the ability to run in the background using screen. It  
supports fast-resume and session management.  

%prep
%if 0%{?rev}
%setup -q -n rtorrent
%else
%setup -q
%endif
#if %{with color}
#patch21 -p1
#endif
%if %{with trackerinfo}
%patch31 -p1
%endif

%build
export CPPFLAGS="%{optflags} -fno-strict-aliasing"
[ -e ./configure ] || ./autogen.sh
%configure \
    --enable-ipv6 \
    --enable-xmlrpc \
    --with-xmlrpc-c="%{_usr}/bin/xmlrpc-c-config"

%if "%{_lib}"=="lib"
cat<<EOF >>config.h
#define _FILE_OFFSET_BITS 64
EOF
%endif

%__make %{?_smp_mflags}

%install
%makeinstall

%__install -D -m 0644 "%{SOURCE1}" "%{buildroot}%{_datadir}/applications/%{name}.desktop"
%suse_update_desktop_file -r "%{name}" Network P2P

%__install -D -m 0644 doc/rtorrent.1 "%{buildroot}%{_mandir}/man1/rtorrent.1"

%clean
%{?buildroot:%__rm -rf "%{buildroot}"}

%files
%defattr(-,root,root)
%doc AUTHORS COPYING README TODO
%doc doc/rtorrent.rc
%doc doc/faq.xml
%{_bindir}/rtorrent
%{_datadir}/applications/%{name}.desktop
%doc %{_mandir}/man1/rtorrent.1%{ext_man}

%changelog
* Tue Nov 22 2011 pascal.bleser@opensuse.org
- update to 0.8.9
* Tue Nov 16 2010 pascal.bleser@opensuse.org
- disable+remove the backwards compatibility patch for the "dht.port"
  parameter, as rtorrent now includes a runtime check that forbids having such
  aliases
* Mon Nov  8 2010 pascal.bleser@opensuse.org
- update to rev 1188
* Sun Jun 20 2010 pascal@links2linux.de
- added patch to restore the "dht_port" configuration directive
- added man page back to the package
* Mon May  3 2010 pascal@links2linux.de
- update to r1169:
  * redirects can now be made efficiently using
    rpc::CommandMap::create_redirect or "methods.redirect=new_key,dest_key"
  * handle XMLRPC commands with no arguments as if the target is empty
  * don't install the out-of-date man page.
  * renamed 'check_hash' and added a redirect
  * don't throw an exception on 'download->resume_flags() != ~uint32_t()' as
    there seems to be a race condition where a torrent doing the final hashing
    might get some flags set. Instead just clear it and hope nothing bad
    happens. See #1292.
  * fixed more redirected commands
  * old file/tracker related xmlrpc commands now work as before
  * added a missing READ_PORT case to a switch in handshake.cc
  * don't try to resume after finished if the download was deleted
* Sat Mar 27 2010 pascal@links2linux.de
- update to r1154
- removed dependency on licenses package
* Wed Mar 17 2010 pascal@links2linux.de
- update to r1148 (0.8.6)
  * upstream magnet support
* Sun Feb 21 2010 pascal.bleser@opensuse.org
- update to r1135
* Sat Dec 12 2009 pascal.bleser@opensuse.org
- update to SVN revision 1110 (pre 0.8.6)
- add magnet URI support patch
- add color support patch
- add trackerinfo patch
* Thu Oct  1 2009 pascal.bleser@opensuse.org
- added Requires to force an upgrade of libtorrent11 to >= 0.12.5,
  in order to avoid having rtorrent crash against libtorrent11-0.12.4;
  thanks to Ammler for reporting
- symlink license file (COPYING)
* Tue Sep 29 2009 pascal.bleser@opensuse.org
- update to 0.8.5
* Mon Sep 28 2009 pascal.bleser@opensuse.org
- enable XMLRPC support
* Mon Nov 24 2008 guru@unixtech.be
- update to 0.8.4
* Tue Nov 11 2008 guru@unixtech.be
- dropped GCC 4.3 patch, merged upstream
- update to 0.8.3
* Mon Jul 21 2008 guru@unixtech.be
- moved to Packman
- new upstream version, revived
* Sun Apr  9 2006 guru@unixtech.be
- explicitely require libtorrent 0.9.0
- new upstream version
* Tue Feb 21 2006 guru@unixtech.be
- new upstream version
* Wed Feb  1 2006 guru@unixtech.be
- new upstream version
- rewrote spec file
* Thu Sep  8 2005 guru@unixtech.be
- version 0.3.0
* Sun Mar 20 2005 guru@unixtech.be
- version 0.1.4
* Thu Mar  3 2005 guru@unixtech.be
- new package
